curl --request PATCH \
--url https://library-backend.dashsocial.com/brands/{brand_id}/campaigns/{campaign_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"benchmark_campaigns": [
123
],
"creator_filters": {
"excluded_media_ids": [],
"included_media_ids": [],
"source_created_at": {
"end": "<string>",
"start": "<string>"
}
},
"creator_ids": [
123
],
"end_date": "2019-12-12",
"google_analytics_selected_campaigns": [
"<string>"
],
"hashtag_ids": [
123
],
"name": "<string>",
"start_date": "2019-12-01",
"topline_metrics": {
"CREATOR_SUMMARY": [
{
"source": "creator_insights",
"goal": null
}
],
"OWNED_SUMMARY": [
{
"goal": null,
"id": 123,
"metric": "<string>"
}
],
"SOCIAL_ADS_SUMMARY": [
{
"source": "dashboards",
"goal": null
}
]
},
"ttcm_spark_ads_authorization_days": 123
}
'import requests
url = "https://library-backend.dashsocial.com/brands/{brand_id}/campaigns/{campaign_id}"
payload = {
"benchmark_campaigns": [123],
"creator_filters": {
"excluded_media_ids": [],
"included_media_ids": [],
"source_created_at": {
"end": "<string>",
"start": "<string>"
}
},
"creator_ids": [123],
"end_date": "2019-12-12",
"google_analytics_selected_campaigns": ["<string>"],
"hashtag_ids": [123],
"name": "<string>",
"start_date": "2019-12-01",
"topline_metrics": {
"CREATOR_SUMMARY": [
{
"source": "creator_insights",
"goal": None
}
],
"OWNED_SUMMARY": [
{
"goal": None,
"id": 123,
"metric": "<string>"
}
],
"SOCIAL_ADS_SUMMARY": [
{
"source": "dashboards",
"goal": None
}
]
},
"ttcm_spark_ads_authorization_days": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
benchmark_campaigns: [123],
creator_filters: {
excluded_media_ids: [],
included_media_ids: [],
source_created_at: {end: '<string>', start: '<string>'}
},
creator_ids: [123],
end_date: '2019-12-12',
google_analytics_selected_campaigns: ['<string>'],
hashtag_ids: [123],
name: '<string>',
start_date: '2019-12-01',
topline_metrics: {
CREATOR_SUMMARY: [{source: 'creator_insights', goal: null}],
OWNED_SUMMARY: [{goal: null, id: 123, metric: '<string>'}],
SOCIAL_ADS_SUMMARY: [{source: 'dashboards', goal: null}]
},
ttcm_spark_ads_authorization_days: 123
})
};
fetch('https://library-backend.dashsocial.com/brands/{brand_id}/campaigns/{campaign_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"brand_id": 123,
"ad_campaigns": [
{
"source_ad_account_id": "<string>",
"source_campaign_id": "<string>"
}
],
"avg_emv": 123,
"avg_engagement_rate": 123,
"avg_engagements": 123,
"benchmark_campaigns": "<unknown>",
"created_at": "2023-11-07T05:31:56Z",
"creator_filters": {
"excluded_media_ids": [],
"included_media_ids": [],
"source_created_at": {
"end": "<string>",
"start": "<string>"
}
},
"creator_ids": [
123
],
"earliest_media_published_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"google_analytics_selected_campaigns": [
"<string>"
],
"has_relationships": true,
"has_ugc": true,
"hashtags": null,
"id": 123,
"included_ad_sources": null,
"included_creator_sources": "<unknown>",
"included_media_sources": [
"<string>"
],
"latest_media_published_date": "2023-11-07T05:31:56Z",
"name": "<string>",
"number_of_media": 123,
"show_v1_facebook_metrics": true,
"show_v1_instagram_metrics": true,
"show_v2_facebook_metrics": true,
"show_v2_instagram_metrics": true,
"start_date": "2023-11-07T05:31:56Z",
"top_media": "<unknown>",
"topline_metrics": {
"CREATOR_SUMMARY": [
{
"source": "creator_insights",
"goal": null
}
],
"OWNED_SUMMARY": [
{
"goal": null,
"id": 123,
"metric": "<string>"
}
],
"SOCIAL_ADS_SUMMARY": [
{
"source": "dashboards",
"goal": null
}
]
},
"total_clicks": 123,
"total_creator_likes": 123,
"total_emv": 123,
"total_engagements": 123,
"total_impressions": 123,
"total_video_views": 123,
"ttcm_orders_campaign_code": "<string>",
"ttcm_orders_invite_link": "<string>",
"ttcm_spark_ads_authorization_days": 123,
"updated_at": "2023-11-07T05:31:56Z"
}{
"code": 123,
"errors": {},
"message": "<string>",
"status": "<string>"
}{
"code": 123,
"errors": {},
"message": "<string>",
"status": "<string>"
}Update a campaign
Partially updates a campaign. Only the fields provided in the request body are updated.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The Dash Social assigned ID of the brand.
The ID of the campaign object.
x >= 0Body
A list of campaign ids to benchmark the campaign against
Filters to apply on the included creators
Show child attributes
Show child attributes
List of creator IDs to add to the campaign.
A formatted datetime string in UTC.
^\d{4}-\d{2}-\d{2}(T\d{2}:\d{2}:\d{2}(Z|((\+|-)\d{2}:\d{2})))?$"2019-12-12"
A list of the selected google analytics campaigns.
A list of hashtags added to the campaign.
Name of the campaign.
1 - 64A formatted datetime string in UTC.
^\d{4}-\d{2}-\d{2}(T\d{2}:\d{2}:\d{2}(Z|((\+|-)\d{2}:\d{2})))?$"2019-12-01"
Custom top line metrics and goals for the campaign
Show child attributes
Show child attributes
Duration in which ttcm_orders_invite_link is valid (in days)
Response
OK
Show child attributes
Show child attributes
Sum of EMV across supported channels divided by number of posts with EMV values
Sum of average engagement per media across supported channels divided by number of posts with avg engagement rate values
Sum of engagements across supported channels divided by number of posts
A list of campaign objects to benchmark the campaign against
Show child attributes
Show child attributes
A list of creator channels
Custom top line metrics and goals for the campaign
Show child attributes
Show child attributes
Sum of clicks across supported channels
Sum of creator likes across supported channels
Sum of EMV across supported channels
Sum of engagements across all channels
Sum of impressions across supported channels
Sum of video views across supported channels
256URL for inviting creators to a TikTok campaign
Duration in which ttcm_orders_invite_link is valid (in days)